/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package info.aspirecn.iov.sjjh.constant;

/**
 * 通用常量
 */
public class Constants {
    // 签名算法HmacSha256
    public static final String HMAC_SHA256 = "HmacSHA256";
    // 编码UTF-8
    public static final String ENCODING = "UTF-8";
    // 换行符
    public static final String LF = "\n";
    // 串联符
    public static final String SPE1 = ",";
    // 示意符
    public static final String SPE2 = ":";
    // 连接符
    public static final String SPE3 = "&";
    // 赋值符
    public static final String SPE4 = "=";
    // 问号符
    public static final String SPE5 = "?";
    // 默认请求超时时间,单位毫秒
    public static final int DEFAULT_TIMEOUT = 1000;
    // 参与签名的系统Header前缀,只有指定前缀的Header才会参与到签名中
    public static final String CA_HEADER_TO_SIGN_PREFIX_SYSTEM = "X-Ca-";
    // 参数值为0
    public static final int PARA_ZERO = 0;
    // statusCode-200
    public static final int STATUS_CODE_200 = 200;
    // resultCode-0
    public static final String RESULT_CODE_0 = "0";
    // resultCode-110000
    public static final String RESULT_CODE_110000 = "110000";
    // 查询成功，查无结果
    public static final String NO_RESULT = "查询成功，查无结果";
    public static String Charge_Log_Key="isCharge";
    public static String Charge_Log_ResponseCode="respnoseCode";

}
